Skip to main content

Create/update a list of ApplicationConfigurationVariable objects

PUT 

/qsystem/rest/config/applications/:applicationId/variables/groups/:groupName

Create/update a list of ApplicationConfigurationVariable objects.

  • The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.

  • An ApplicationConfigurationVariable key may not be null/empty

  • The key specified in the REST path must not be null/empty, and must match the key in the ApplicationConfigurationVariable input object.

  • ApplicationConfigurationVariable keys must be composed using only the following characters : [A-Z],[a-z],[0-9],[-],[_],[@],[|]

  • An ApplicationConfigurationVariable key may not exceed 255 characters

  • An ApplicationConfigurationVariable value may not be null/empty

  • The groupName provided in the REST path must not be null/empty

  • The groupName must be composed using only the following characters : [A-Z],[a-z],[0-9],[-],[_],[@],[|]

  • If an ApplicationConfigurationVariable group with the same groupName does not exist in the application, this REST call will create a group with the provided groupName. It will then create all the ApplicationConfigurationVariable(s), which were provided as input to this REST call, inside that group.

  • If the groupName provided represents an existing ApplicationConfigurationVariable group within the application, then this REST call will either create or update ApplicationConfigurationVariable(s) with matching keys inside this group.

  • The ApplicationConfigurationVariable value containing JavaScript is not acceptable.

  • The input object - the JSON array of ApplicationConfigurationVariable objects - must not be null The input object - the JSON array of ApplicationConfigurationVariable objects - must be valid. Example of a valid input object is :

[
{
"key":"variable2",
"value":"value2",
"description":"Description for variable1"
},
{
"key":"Variable-key_1",
"value":"value2"
}
]

Usage:

curl -u user:password -i -X PUT -H 'content-type:application/json'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups/{groupName}
-d '[{
"key":"variable1",
"value":"value1",
"description":"Description for variable1"
},
{
"key":"variable2",
"value":"value2"
}]'

Note: The 'description' field in a valid ApplicationConfigurationVariable object is optional. It can be null or empty.

Request​

Responses​

The updated/created JSON array of ApplicationConfigurationVariable objects.